from numpy import log, log10, pi

#constants
c = 3E8
nu = c/1542E-9
f = 1

#allan deviation aimed
sigma_y = 1E-17

#PSD of frequency fluctuations (frequency flicker) in dB.Hz^-1
Sy = 10*log10(sigma_y**2/(2*log(2)))

#PSD of phase fluctuations in dB.rad^2.Hz^-1
Sphi = Sy + 20*log10(nu) - 20*log10(f)

#PSD of time delay fluctuations in dB.s^2.Hz^-1
Sx = Sphi - 20*log10(2*pi*nu)

#PSD of position fluctuations in dB.m^2.Hz^-1
Su = Sphi + 20*log10(c) - 20*log10(2*pi*nu) -20*log10(2)
