clc
clear all
close all

N = 10;

set(0, 'defaultlinelinewidth', 5);

phi = [0:0.01:1]*2*pi;
m = 1;

for n = 1:N
	freqs = -n:n;
	amp = besselj(freqs, m);
	plot(phi, abs(sum(amp'.*exp(1i.*phi.*freqs'))))
	hold on
end

legend(strsplit(num2str(1:N)))
